[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# MessageDlgPos

An extended MessageDlg function.

## Declaration

Source position: dialogs.pp line 915

`function MessageDlgPos(`
`const aMsg: string;`
`DlgType: TMsgDlgType;`
`Buttons: TMsgDlgButtons;`
`HelpCtx: LongInt;`
`X: Integer;`
`Y: Integer`
`):TModalResult; overload;`

## Arguments

`aMsg` |  | The message to be shown.
`DlgType` |  | The type of dialog to be shown.
`Buttons` |  | Determines the buttons shown on the message dialog.
`HelpCtx` |  | HelpCtx is used to specify which topic from the help should be shown.
`X` |  | X specifies the position of the left side of the dialog.
`Y` |  | Y specifies the position of the top side of the dialog.

## Function result

The result of this function is the button the user pressed to close the dialog expressed as an integer.

If the user clicks the [X]-bordericon, the return value will be mrCancel.

If the user presses the escape key, the result depends on the widgetset:

- If the widgetset has implemented a native dialog, the result will be mrCancel.
- Otherwise the result will be mrCancel, mrNo or mrOk (in that order) if mbCancel, mbNo or mbOk is present. The dialog will not close when the Escape key is pressed if none of these buttons are present.

## Description

This function performs the same function as the MessageDlg function. It has been extended with parameters to place the dialog on a certain position on the screen instead of in the center of the screen.

The MessageDlgPos function does not enable you to choose the caption of the dialog.